# stolen from https://tildegit.org/ben/club-site/src/branch/master/Makefile

SRC_MD_FILES != find . -type f \( -name '*.md' ! -name 'README.md' \)
DST_HTML_FILES := $(SRC_MD_FILES:%.md=%.html)

all: $(DST_HTML_FILES)

%.html: %.md
	$(info building $@)
	@pandoc --template html.template -so $@ $<

clean:
	$(info removing build artifacts)
	@rm $(DST_HTML_FILES)

.PHONY: clean 